/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "util/util.h"
#include <stdio.h>
#include <time.h>

const char* Time_i2clock (int i)
{
  static char buf[16];
  sprintf (buf, "%02d:%02d:%02d", i/3600, (i%3600)/60, i%60);
  return buf;
}

void sleepms (long ms)
/* nanosleep conforms to POSIX 1b */
{
  struct timespec tc;
  
  tc.tv_sec = ms/1000;
  tc.tv_nsec = ms * 1000000L;
  
  nanosleep (&tc, NULL);
}
